import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class AirportOverviewDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The unique ICAO code',
    example: 'EDDB',
  })
  icao: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The name of the airport',
    example: 'Berlin Brandenburg',
  })
  name: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The flight information region (FIR)',
    example: 'FIR Bremen',
  })
  flightInformationRegion: string;
}
