import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { OptimizationDto } from './optimization.dto';
import { AssignmentDto } from './assignment.dto';

export class PlanningDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The optimization parameters',
  })
  optimization: OptimizationDto;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The runway assignments',
  })
  assignments: AssignmentDto[];
}
