import { IsNotEmpty, IsOptional } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class RunwaySpacingDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The runway identifier',
    example: '25L',
  })
  runway: string;

  @IsOptional()
  @ApiProperty({
    description: 'The touch-down sequence in nautical miles',
    example: 4,
  })
  spacing: number;
}
