import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type AssignmentDocument = Assignment & Document;

@Schema()
export class Assignment {
  @Prop({
    required: true,
    type: String,
  })
  runway: string;

  @Prop({
    required: true,
    type: String,
    enum: ['SHALL', 'SHOULD', 'MAY'],
  })
  type: string;

  @Prop({
    type: [String],
  })
  aircrafts: string[];

  @Prop({
    type: [String],
  })
  assignedStands: string[];
}

export const AssignmentSchema = SchemaFactory.createForClass(Assignment);
