import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { ConstraintType, ConstraintTypeSchema } from './constrainttype.model';

export type ConstraintDocument = Constraint & Document;

@Schema()
export class Constraint {
  @Prop({
    required: true,
    type: String,
  })
  waypoint: string;

  @Prop({
    type: ConstraintTypeSchema,
  })
  altitude: ConstraintType;

  @Prop({
    type: ConstraintTypeSchema,
  })
  speed: ConstraintType;
}

export const ConstraintSchema = SchemaFactory.createForClass(Constraint);
