import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Assignment, AssignmentSchema } from './assignment.model';
import { Optimization, OptimizationSchema } from './optimization.model';

export type PlanningDocument = Planning & Document;

@Schema()
export class Planning {
  @Prop({
    required: true,
    type: OptimizationSchema,
  })
  optimization: Optimization;

  @Prop({
    required: true,
    type: [AssignmentSchema],
  })
  assignments: Assignment[];
}

export const PlanningSchema = SchemaFactory.createForClass(Planning);
