import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import {
  Coordinate,
  CoordinateSchema,
} from '../../generic/models/coordinate.model';

export type RunwayDocument = Runway & Document;

@Schema()
export class Runway {
  @Prop({
    required: true,
    type: String,
  })
  identifier: string;

  @Prop({
    required: true,
    type: CoordinateSchema,
  })
  threshold: Coordinate;
}

export const RunwaySchema = SchemaFactory.createForClass(Runway);
