import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class UserDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The vatsim ID',
    example: '10000001',
  })
  vatsimId: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The shared full name or "Private"',
    example: 'Web One',
  })
  fullName: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'Indicates if the user has administrator access',
    example: false,
  })
  administrator: boolean;

  @IsNotEmpty()
  @ApiProperty({
    description: 'All airport ICAOs that can be configured',
    example: '["EDDB", "EDDF"]',
  })
  airportConfigurationAccess: string[];
}
