import { WaypointDto } from '../dto/waypoint.dto';
import { Waypoint } from '../models/waypoint.model';
import { CoordinateConverter } from './coordinate';

export class WaypointConverter {
  static convert<T, C>(waypoint: Waypoint | WaypointDto): T {
    return {
      identifier: waypoint.identifier,
      coordinate: CoordinateConverter.convert<C>(waypoint.coordinate),
    } as T;
  }

  static convertList<T, E>(waypoints: Waypoint[] | WaypointDto[]): T[] {
    const retval: T[] = [];
    waypoints.forEach((waypoint) =>
      retval.push(WaypointConverter.convert<T, E>(waypoint)),
    );
    return retval;
  }
}
