import { IsNotEmpty, IsOptional, IsDateString } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { WaypointDto } from '../../generic/dto/waypoint.dto';

export class ControllerInputDto {
  @IsOptional()
  @ApiProperty({
    description: 'The timestamp of the last report',
  })
  @IsDateString()
  reportedTime: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The remaining route of the inbound',
  })
  remainingRoute: WaypointDto[];

  @IsOptional()
  @ApiProperty({
    description: 'The requested runway by the pilot',
    example: '25L',
  })
  requestedRunway: string;

  @IsOptional()
  @ApiProperty({
    description: 'The planned stand after landing',
    example: 'A05',
  })
  plannedStand: string;
}
