import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import {
  PredictedWaypoint,
  PredictedWaypointSchema,
} from './predictedwaypoint.model';

export type ControllerInputDocument = ControllerInput & Document;

@Schema()
export class ControllerInput {
  @Prop({
    type: String,
  })
  reportedTime: string;

  @Prop({
    required: true,
    type: [PredictedWaypointSchema],
  })
  remainingRoute: PredictedWaypoint[];

  @Prop({
    type: String,
  })
  requestedRunway: string;

  @Prop({
    type: String,
  })
  plannedStand: string;
}

export const ControllerInputSchema =
  SchemaFactory.createForClass(ControllerInput);
