import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class LogEntryDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The component which logged the message',
    example: 'optimizer',
  })
  component: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The defined log level of this message',
    example: 'DEBUG',
  })
  level: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The timestamp when the message was logged',
    example: 'Wed, 14 Jun 2017 07:00:00 GMT',
  })
  timestamp: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The logged message',
    example: 'This is a log message.',
  })
  message: string;
}
