import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { LoggingService } from './logging.service';
import { LoggingController } from './logging.controller';
import { LogEntrySchema } from './models/logentry.model';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: 'logging', schema: LogEntrySchema }]),
  ],
  providers: [LoggingService],
  controllers: [LoggingController],
  exports: [MongooseModule, LoggingService],
})
export class LoggingModule {}
