import { Controller, Get, UseGuards } from '@nestjs/common';
import { ApiResponse } from '@nestjs/swagger';
import { JwtGuard } from 'src/auth/guards/jwt.guard';

@Controller('system')
export class SystemController {
  @UseGuards(JwtGuard)
  @Get('/timestamp')
  @ApiResponse({
    description: 'The current ZULU timestamp of the system',
    type: Number,
  })
  async timestamp(): Promise<number> {
    return new Date().getTime();
  }
}
