import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type WeatherDocument = Weather & Document;

@Schema()
export class Weather {
  @Prop({
    required: true,
    index: true,
    type: String,
  })
  icao: string;

  @Prop({
    required: true,
    index: true,
    type: String,
  })
  waypoint: string;

  @Prop({
    required: true,
    type: Number,
  })
  altitude: number;

  @Prop({
    required: true,
    type: Number,
  })
  distanceToWaypoint: number;

  @Prop({
    required: true,
    type: Number,
  })
  groundSpeedCorrection: number;
}

export const WeatherSchema = SchemaFactory.createForClass(Weather);
